curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/micro_deposits \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/micro_deposits"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/micro_deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"micro_deposits": [
{
"error_message": null,
"guid": "MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb",
"institution_code": "mxbank",
"institution_name": "MX Bank",
"status": "INITIATED",
"updated_at": "2025-02-13T18:09:00+00:00",
"verified_at": null
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List all microdeposits for a user
Use this endpoint to read the attributes of a specific microdeposit according to its unique GUID.
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Accept-Version: v20250224' -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Response
OK
Hide child attributes
Hide child attributes
A message describing an error that occurred.
null
The unique identifier for the microdeposit. Defined by MX.
"MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb"
The code identifying a financial institution.
"mxbank"
An easy-to-read name for an institution. May be null for institutions that are not in the MX system.
"MX Bank"
The name of the current status. See Microdeposit Statuses.
"INITIATED"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The date and time at which the microdeposit status changed from DEPOSITED to VERIFIED.
null
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

